﻿using Perception.Sheets;

namespace CSI_Acquisition
{
    /// <summary>
    /// Supplies information about the sheet, like the sheet description used by the Perception sheet manager
    /// </summary>
    public class SheetControlInfoRetriever : ISheetInfoRetriever
    {
        #region ISheetInfoRetriever Members
        /// <summary>
        /// Return information about the sheet.
        /// </summary>
        /// <param name="item">Indicates which information is being requested.</param>
        /// <param name="Information">The information</param>
        /// <returns>Type of the information returned</returns>          
        public System.Type GetInformation(InformationItem item, out object Information)
        {
            switch (item)
            {
                case InformationItem.Description:
                    Information = Properties.Resources.IDS_SHEET_DESCRIPTION;
                    break;
                //case InformationItem.RequiredOptions:
                //     Information = (long)0;
                //     break;
                default:
                    Information = new object();
                    break;
            }

            return Information.GetType();
        }
        #endregion
    }
}
