#region Using directives

using System;
using System.IO;
using System.Reflection;
using System.Windows.Forms;
using System.Collections.Generic;

#endregion

namespace ProjectLauncher
{
     static class Program
     {
          /// <summary>
          /// The main entry point for the application.
          /// </summary>
          [STAThread]
          static void Main(string[] args)
          {
               if ((args == null) || (args.Length == 0))
                    return;

               string app = args[0];
               string[] newArgs = null;

               if (args.Length > 1)
               {
                    newArgs = new string[args.Length - 1];
                    Array.Copy(args, 1, newArgs, 0, newArgs.Length);
               }

               Program.Run(app, newArgs);

               //Application.EnableVisualStyles();
               //Application.SetCompatibleTextRenderingDefault(false);
               //Application.Run(new MainForm());
          }

          private static void Run(string Application, string[] Args)
          {
               try
               {
                    if (String.IsNullOrEmpty(Application))
                         return;

                    FileInfo fInfo = new FileInfo(Application);
                    if (!fInfo.Exists)
                         return;

                    string asmName = Path.GetFileNameWithoutExtension(Application);
                    Assembly asmRefOnly = Assembly.ReflectionOnlyLoadFrom(Application);

                    AppDomainSetup adSetup = new AppDomainSetup();
                    adSetup.ApplicationBase = fInfo.DirectoryName;
                    adSetup.ApplicationName = asmName;
                    adSetup.ConfigurationFile = String.Format("{0}.config", Application);

                    AppDomain domain = AppDomain.CreateDomain(asmName, null, adSetup);
                    domain.ExecuteAssemblyByName(asmRefOnly.GetName(), null, Args);
               }
               catch
               {
               }
          }
     }
}